Name:           python-jsonref
Version:        1.1.0
Release:        10%{?dist}
Summary:        Python library for automatic dereferencing of JSON Reference objects

License:        MIT
URL:            https://github.com/gazpachoking/jsonref
# PyPI tarball doesn't have tests
Source:         %{url}/archive/v%{version}/jsonref-%{version}.tar.gz
# https://github.com/gazpachoking/jsonref/commit/f18f30772df086bebdcc9b1b76a35558b4a0a897
Patch:          0001-Migrate-to-pdm-backend.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
jsonref is a library for automatic dereferencing of JSON Reference objects for
Python (supporting Python 3.7+).  This library lets you use a data structure
with JSON reference objects, as if the references had been replaced with the
referent data.}


%description %_description


%package -n     python3-jsonref
Summary:        %{summary}


%description -n python3-jsonref %_description


%prep
%autosetup -p 1 -n jsonref-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jsonref proxytypes


%check
%pytest -v tests.py


%files -n python3-jsonref -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.1.0-10
- Rebuilt for Python 3.14

* Tue May 06 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.1.0-9
- Add upstream patch to switch from pdm-pep517 to pdm-backend

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.1.0-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.1.0-2
- Rebuilt for Python 3.12

* Tue Feb 14 2023 Carl George <carl@george.computer> - 1.1.0-1
- Update to version 1.1.0, resolves rhbz#2169606
- Convert to pyproject macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.2-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Nils Philippsen <nils@redhat.com> - 0.2-2
- Don't be obsoleted by fedora-obsolete-packages (on F33, #1900537).

* Tue Sep 08 2020 Aurelien Bompard <abompard@fedoraproject.org> - 0.2-1
- Initial package.
